#include <stdio.h>

struct linija
{
    int a;
    int b;
    int t;
};
int main()
{
    struct linija linije[10];
    int m,n,v,u,i,br=0,s=0;
    
    printf("Unesi broj santi:");
    scanf("%d",&n);
    printf("Unesi broj puteva:");
    scanf("%d",&m);
    
    for(i=0;i<m;i++)
    {
        printf("pocetna santa:\n");
        scanf("%d",&linije[i].a);
        printf("krajinja santa:\n");
        scanf("%d",&linije[i].b);
        printf("put zaledjen?\n");
        scanf("%d",&linije[i].t);
    }
    
    printf("Unesi poziciju mike i laze:\n");
    scanf("%d%d",&v,&u);
    
    while(v<u)
    {
    for(i=0;i<m;i++)
    {
    if(linije[i].a==v)
    {
    v=linije[i].b;
    linije[i+1].a=linije[i].b;
    }
    if(linije[i].t!=s)
    {
    br++;
    s=linije[i].t;
    }
    }
    }
    printf("\n%d",br);
}